
Figure - Bug #116969
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开应用小窗->在任务管理器中打开一个进程卡片->上划进入任务管理器，打
开另一个进程卡片，重复操作，会出现任务管理器中无小窗卡片的情况
2023-03-15 20:09 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-15

Priority: Normal Due date: 2023-04-11

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0091.C103(X103)

Reproducibility: Occasionally Fixed Version: 2023-04-11

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备正常启动

2、后台有进程

【测试步骤】

1、打开应用小窗

2、在任务管理器中打开一个进程卡片

3、上划进入任务管理器，打开另一个进程卡片

4、重复2-3

【预期结果】

4、每次进入任务管理器，小窗都可以正常进入小窗卡片的位置

【实际结果】

4、会出现任务管理器中无小窗卡片的情况

History

#1 - 2023-03-20 14:26 - CD FW-鲁凯峰

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

■ Current conclusion

这个需要Launcher先帮忙看看是否为View的加载出现了问题

■ My analysis

//进入recent,通知FreeFormWindowHelper关掉小窗

02-27 10:26:52.636  3060  3060 D FreeWindowHelper: enterOrExitRecentTasks: isEnterRecentTasks=true,mExitFlag=0

//Launcher获取当前小窗的状态

02-27 10:26:52.650   991  5707 W FreeFormWindowHelper: Current Display FreeFormTask is Task{c45a8fd #227 type=standard A=10091:android.task.video U=0

visible=false mode=freeform translucent=true sz=1}
02-27 10:26:52.651   991  7978 W FreeFormWindowHelper: Current Display FreeFormTask is Task{c45a8fd #227 type=standard A=10091:android.task.video U=0

visible=false mode=freeform translucent=true sz=1}

//Launcher加载小窗视图

02-27 10:26:52.652  3060  3060 D FreeWindowContainer: reloadTask: TaskInfo{userId=0 taskId=227 displayId=0 isRunning=false baseIntent=Intent {

act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.android.music/.VideoBrowserActivity } baseActivity=null

topActivity=null origActivity=null realActivity=ComponentInfo{com.android.music/com.android.music.VideoBrowserActivity} numActivities=0

lastActiveTime=2009317 supportsSplitScreenMultiWindow=true supportsMultiWindow=true resizeMode=1 isResizeable=true

token=WCT{android.window.IWindowContainerToken$Stub$Proxy@eba759f} topActivityType=1 pictureInPictureParams=null displayCutoutSafeInsets=null

topActivityInfo=null launchCookies=[] positionInParent=Point(1837, 72) parentTaskId=-1 isFocused=false isVisible=true topActivityInSizeCompat=false locusId= null}

02-27 10:26:52.653   991  7978 W FreeFormWindowHelper: Current Display FreeFormTask is Task{c45a8fd #227 type=standard A=10091:android.task.video U=0

visible=false mode=freeform translucent=true sz=1}

02-27 10:26:52.691   991  9026 W FreeFormWindowHelper: Current Display FreeFormTask is Task{c45a8fd #227 type=standard A=10091:android.task.video U=0

visible=false mode=freeform translucent=true sz=1}

02-27 10:26:52.691   991  9026 W FreeFormWindowHelper: Current Display FreeFormTask is Task{c45a8fd #227 type=standard A=10091:android.task.video U=0

visible=false mode=freeform translucent=true sz=1}

02-27 10:26:52.757   991  7978 W FreeFormWindowHelper: Current Display FreeFormTask is Task{c45a8fd #227 type=standard A=10091:android.task.video U=0

visible=false mode=freeform translucent=true sz=1}

//FreeFormWindowHelper删掉小窗

02-27 10:26:52.944   991  1647 D FreeFormWindowHelper: Remove freefrom task=Task{c45a8fd #227 type=standard A=10091:android.task.video U=0 visible=false

mode=freeform translucent=true sz=0}

■ Next Action

Launcher继续调查

#2 - 2023-03-20 17:11 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-03-21 10:17 - CD APP-王宏

2023-03-15 15:04:41.217 2639-2639/com.android.launcher3 D/FreeWindowHelper: enterOrExitRecentTasks: isEnterRecentTasks=true,mExitFlag=0

2023-03-15 15:04:41.242 1053-4633/system_process W/FreeFormWindowHelper: Current Display FreeFormTask is Task{92d6267 #313 type=standard

A=10104:com.p1.mobile.putong U=0 visible=false mode=freeform translucent=true sz=1}

2023-03-15 15:04:41.244 1053-4633/system_process W/FreeFormWindowHelper: Current Display FreeFormTask is Task{92d6267 #313 type=standard

A=10104:com.p1.mobile.putong U=0 visible=false mode=freeform translucent=true sz=1}

2023-03-15 15:04:41.244 2639-2639/com.android.launcher3 D/FreeWindowContainer: reloadTask: TaskInfo{userId=0 taskId=313 displayId=0 isRunning=false

baseIntent=Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.p1.mobile.putong/.ui.splash.SplashProxyAct

} baseActivity=null topActivity=null origActivity=null realActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.ui.splash.SplashProxyAct}

numActivities=0 lastActiveTime=49656352 supportsSplitScreenMultiWindow=true supportsMultiWindow=true resizeMode=1 isResizeable=true

token=WCT{android.window.IWindowContainerToken$Stub$Proxy@3255591} topActivityType=1 pictureInPictureParams=null displayCutoutSafeInsets=null

topActivityInfo=null launchCookies=[] positionInParent=Point(22, 74) parentTaskId=-1 isFocused=false isVisible=true topActivityInSizeCompat=false locusId= null}

2023-03-15 15:04:41.245 1053-4633/system_process W/FreeFormWindowHelper: Current Display FreeFormTask is Task{92d6267 #313 type=standard

A=10104:com.p1.mobile.putong U=0 visible=false mode=freeform translucent=true sz=1}

2023-03-15 15:04:41.304 1053-1088/system_process D/FreeFormWindowHelper: Remove freefrom task=Task{92d6267 #313 type=standard

A=10104:com.p1.mobile.putong U=0 visible=false mode=freeform translucent=true sz=0}

2023-03-15 15:04:41.328 1053-1088/system_process W/FreeFormWindowHelper: Current Display FreeFormTask is TaskInfo{userId=0 taskId=313 displayId=0

isRunning=true baseIntent=Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.p1.mobile.putong/.ui.splash.SplashProxyAct }

baseActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.account.ui.welcome.WelcomeAct}

topActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.account.ui.welcome.WelcomeAct} origActivity=null
realActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.ui.splash.SplashProxyAct} numActivities=1 lastActiveTime=49656010

supportsSplitScreenMultiWindow=true supportsMultiWindow=true resizeMode=1 isResizeable=true token=WCT{RemoteToken{2d26b8c Task{92d6267 #313

type=standard A=10104:com.p1.mobile.putong U=0 visible=false mode=freeform translucent=true sz=0}}} topActivityType=1

pictureInPictureParams=PictureInPictureParams( aspectRatio=null sourceRectHint=null hasSetActions=false isAutoPipEnabled=false isSeamlessResizeEnabled=true)

displayCutoutSafeInsets=null topActivityInfo=ActivityInfo{aa4a2d5 com.p1.mobile.putong.account.ui.welcome.WelcomeAct} launchCookies=[]

positionInParent=Point(22, 74) parentTaskId=-1 isFocused=true isVisible=true topActivityInSizeCompat=false locusId= null}

2023-03-15 15:04:41.331 1053-1088/system_process W/FreeFormWindowHelper: Current Display FreeFormTask is TaskInfo{userId=0 taskId=313 displayId=0

isRunning=true baseIntent=Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.p1.mobile.putong/.ui.splash.SplashProxyAct }

baseActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.account.ui.welcome.WelcomeAct}

topActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.account.ui.welcome.WelcomeAct} origActivity=null

realActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.ui.splash.SplashProxyAct} numActivities=1 lastActiveTime=49656010

supportsSplitScreenMultiWindow=true supportsMultiWindow=true resizeMode=1 isResizeable=true token=WCT{RemoteToken{2d26b8c Task{92d6267 #313

type=standard A=10104:com.p1.mobile.putong U=0 visible=false mode=freeform translucent=true sz=0}}} topActivityType=1

pictureInPictureParams=PictureInPictureParams( aspectRatio=null sourceRectHint=null hasSetActions=false isAutoPipEnabled=false isSeamlessResizeEnabled=true)

displayCutoutSafeInsets=null topActivityInfo=ActivityInfo{aa4a2d5 com.p1.mobile.putong.account.ui.welcome.WelcomeAct} launchCookies=[]

positionInParent=Point(22, 74) parentTaskId=-1 isFocused=true isVisible=true topActivityInSizeCompat=false locusId= null}

2023-03-15 15:04:41.331 1053-1088/system_process W/FreeFormWindowHelper: Current Display FreeFormTask is TaskInfo{userId=0 taskId=313 displayId=0

isRunning=true baseIntent=Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.p1.mobile.putong/.ui.splash.SplashProxyAct }

baseActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.account.ui.welcome.WelcomeAct}

topActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.account.ui.welcome.WelcomeAct} origActivity=null

realActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.ui.splash.SplashProxyAct} numActivities=1 lastActiveTime=49656010

supportsSplitScreenMultiWindow=true supportsMultiWindow=true resizeMode=1 isResizeable=true token=WCT{RemoteToken{2d26b8c Task{92d6267 #313

type=standard A=10104:com.p1.mobile.putong U=0 visible=false mode=freeform translucent=true sz=0}}} topActivityType=1

pictureInPictureParams=PictureInPictureParams( aspectRatio=null sourceRectHint=null hasSetActions=false isAutoPipEnabled=false isSeamlessResizeEnabled=true)

displayCutoutSafeInsets=null topActivityInfo=ActivityInfo{aa4a2d5 com.p1.mobile.putong.account.ui.welcome.WelcomeAct} launchCookies=[]

positionInParent=Point(22, 74) parentTaskId=-1 isFocused=true isVisible=true topActivityInSizeCompat=false locusId= null}

2023-03-15 15:04:41.368 1053-1088/system_process W/FreeFormWindowHelper: Current Display FreeFormTask is TaskInfo{userId=0 taskId=313 displayId=0

isRunning=true baseIntent=Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.p1.mobile.putong/.ui.splash.SplashProxyAct }

baseActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.account.ui.welcome.WelcomeAct}

topActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.account.ui.welcome.WelcomeAct} origActivity=null

realActivity=ComponentInfo{com.p1.mobile.putong/com.p1.mobile.putong.ui.splash.SplashProxyAct} numActivities=1 lastActiveTime=49656010

supportsSplitScreenMultiWindow=true supportsMultiWindow=true resizeMode=1 isResizeable=true token=WCT{RemoteToken{2d26b8c Task{92d6267 #313

type=standard A=10104:com.p1.mobile.putong U=0 visible=false mode=freeform translucent=true sz=0}}} topActivityType=1

pictureInPictureParams=PictureInPictureParams( aspectRatio=null sourceRectHint=null hasSetActions=false isAutoPipEnabled=false isSeamlessResizeEnabled=true)

displayCutoutSafeInsets=null topActivityInfo=ActivityInfo{aa4a2d5 com.p1.mobile.putong.account.ui.welcome.WelcomeAct} launchCookies=[]

positionInParent=Point(22, 74) parentTaskId=-1 isFocused=true isVisible=true topActivityInSizeCompat=false locusId= null}

这是正常情况下的执行日志，和测试提供日志无法看出异常原因，继续调查！

#4 - 2023-03-23 16:54 - CD TEST-方永红

- File log.txt added

3.23

复现一次

#5 - 2023-03-28 15:52 - CD APP-王宏
■ Current conclusion

本地加日志分析

■ My analysis

//进入recent

03-27 06:47:29.191 23710 23710 D FreeWindowHelper: enterOrExitRecentTasks: isEnterRecentTasks=true,mExitFlag=0

03-27 06:47:29.208 12509 22969 W FreeFormWindowHelper: Current Display FreeFormTask is Task{e3c2794 #517 type=standard A=10021:com.android.documentsui

U=0 visible=false mode=freeform translucent=true sz=1}

03-27 06:47:29.209 12509 15283 W FreeFormWindowHelper: Current Display FreeFormTask is Task{e3c2794 #517 type=standard A=10021:com.android.documentsui

U=0 visible=false mode=freeform translucent=true sz=1}

//加载recent中小窗视图

03-27 06:47:29.209 23710 23710 D FreeWindowContainer: reloadTask: TaskInfo{userId=0 taskId=517 displayId=0 isRunning=false baseIntent=Intent {

dat=//com.android.documentsui.launchControl flg=0x10180003 cmp=com.android.documentsui/.files.FilesActivity } baseActivity=null topActivity=null origActivity=null

realActivity=ComponentInfo{com.android.documentsui/com.android.documentsui.files.FilesActivity} numActivities=0 lastActiveTime=343482638

supportsSplitScreenMultiWindow=true supportsMultiWindow=true resizeMode=1 isResizeable=true

token=WCT{android.window.IWindowContainerToken$Stub$Proxy@76fed74} topActivityType=1 pictureInPictureParams=null displayCutoutSafeInsets=null

topActivityInfo=null launchCookies=[] positionInParent=Point(20, 72) parentTaskId=-1 isFocused=false isVisible=true topActivityInSizeCompat=false locusId= null}

03-27 06:47:29.209 12509 15283 W FreeFormWindowHelper: Current Display FreeFormTask is Task{e3c2794 #517 type=standard A=10021:com.android.documentsui

U=0 visible=false mode=freeform translucent=true sz=1}

//触发加载缩略图

03-27 06:47:29.209 23710 23710 D FreeWindowTaskView: onTaskVisibilityChanged: begin get thumbnail

03-27 06:47:29.250 12509 22874 W FreeFormWindowHelper: Current Display FreeFormTask is Task{e3c2794 #517 type=standard A=10021:com.android.documentsui

U=0 visible=false mode=freeform translucent=true sz=1}

03-27 06:47:29.262 12509 23347 W FreeFormWindowHelper: Current Display FreeFormTask is Task{e3c2794 #517 type=standard A=10021:com.android.documentsui

U=0 visible=false mode=freeform translucent=true sz=1}

03-27 06:47:29.263 12509 23347 W FreeFormWindowHelper: Current Display FreeFormTask is Task{e3c2794 #517 type=standard A=10021:com.android.documentsui

U=0 visible=false mode=freeform translucent=true sz=1}

//成功加载

03-27 06:47:29.269 23710 23710 D FreeWindowTaskView: onTaskVisibilityChanged: load thumbnail

03-27 06:47:29.328 12509 22874 W FreeFormWindowHelper: Current Display FreeFormTask is Task{e3c2794 #517 type=standard A=10021:com.android.documentsui

U=0 visible=false mode=freeform translucent=true sz=1}

03-27 06:47:29.517 12509 12532 D FreeFormWindowHelper: Remove freefrom task=Task{e3c2794 #517 type=standard A=10021:com.android.documentsui U=0

visible=false mode=freeform translucent=true sz=0}

根据本地加入的日志可以知道，在正常情况下缩略图的加载流程是正确的

■ Next Action

根据和FW的沟通，修改缩略图的加载逻辑，在Launcher进入recent时候参考 AbsSwipeUpHandler$switchToScreenshot()

#6 - 2023-03-29 10:29 - CD TEST-方永红

- File 1003.txt added

3.29

复现一次

#7 - 2023-03-29 15:12 - CD APP-王宏

- % Done changed from 0 to 10

■ Current conclusion

完善中生成缩略图的逻辑

■ My analysis
根据和FW同事要求，小窗缩略图在recent中主动生成，目前还存在小窗相关的问题在修改

■ Next Action

配合小窗完成修改

#8 - 2023-03-31 14:37 - CD APP-王营

- Due date set to 2023-04-06

#9 - 2023-03-31 18:46 - CD APP-王宏

- % Done changed from 10 to 30

■ Current conclusion

持续完成中

■ My analysis

目前修改已经部分完成，还剩余白名单以及卡片启动需要处理

■ Next Action

继续配合小窗完成修改

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/190686

#10 - 2023-04-07 11:26 - CD APP-王宏

- Due date changed from 2023-04-06 to 2023-04-11

配合小窗入库，由于小窗没有修改完毕，因此继续延期

#11 - 2023-04-10 20:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190686 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:build small window thumbnailTC-RID: 0301-0205302IssueID: TS-R-BUG-116969Change-Id: Id4e12c3d7abdd6ec40d75701ceb86df3d116952a

#12 - 2023-04-10 20:33 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-11

- Root cause set to 编码问题

#13 - 2023-04-13 19:26 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0091.C103(X103)

4.13
0090、412、0091

3个版本未复现此问题

先关闭

#14 - 2023-04-13 19:26 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-15 19-20-50.zip 23.6 MB 2023-03-15 CD TEST-方永红

1918.txt 5 MB 2023-03-15 CD TEST-方永红

log.txt 3.02 MB 2023-03-23 CD TEST-方永红

1003.txt 2.74 MB 2023-03-29 CD TEST-方永红
